UPDATE: R 3.4.1 does not have this problem so you can install that version instead
If you’re getting the following error when you’ve installed R 3.4.0 on Windows, you’re not alone.

Error in if (file.exists(dest) && file.mtime(dest) > file.mtime(lib) && :
missing value where TRUE/FALSE needed

The R team have released a patched version but right now it’s a little difficult to find out about. If you need/want the patched version, it’s available at:

cran.r-project.org/bin/windows/base/rpatched.html

This resolved the issue for me.

If you want more info on the issue and the resolution process, check out the r-help archive.

Hope this helps!

Error installing latest R version (3.4.0) on Windows
Tagged on:         

What do you think?